server_1/frontpage/urls.py
from django.conf.urls import url
from django.views.generic.base import RedirectView
from .views import *
#url for app
app_name = 'frontpage'

urlpatterns = [
    url(r'^$', RedirectView.as_view(url='index/', permanent = False), name='$'),
    url(r'index/', index, name='index'),
    url(r'progress/', progress, name='progress'),
]

server_1/server_1/urls.py
from django.contrib import admin
from django.urls import path, include
import frontpage.urls as frontpage

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(frontpage, namespace='frontpage')),
]

server_1/frontpage/models.py
from django.db import models

# Create your models here.

server_1/frontpage/views.py
from django.shortcuts import render

import pika

def index(request):
    response = {}
    return render(request, "home.html", response)

def progress(request):
    response = {}
    if request.POST:
        url1 = request.POST["url1"]
        set1 = {"url": url1, "download":"download1"}
        sendMessage(1, url1)
        url2 = request.POST["url2"]
        set2 = {"url": url2, "download":"download2"}
        sendMessage(2, url2)
        url3 = request.POST["url3"]
        set3 = {"url": url3, "download":"download3"}
        sendMessage(3, url3)
        url4 = request.POST["url4"]
        set4 = {"url": url4, "download":"download4"}
        sendMessage(4, url4)
        url5 = request.POST["url5"]
        set5 = {"url": url5, "download":"download5"}
        sendMessage(5, url5)
        url6 = request.POST["url6"]
        set6 = {"url": url6, "download":"download6"}
        sendMessage(6, url6)
        url7 = request.POST["url7"]
        set7 = {"url": url7, "download":"download7"}
        sendMessage(7, url7)
        url8 = request.POST["url8"]
        set8 = {"url": url8, "download":"download8"}
        sendMessage(8, url8)
        url9 = request.POST["url9"]
        set9 = {"url": url1, "download":"download9"}
        sendMessage(9, url9)
        url10 = request.POST["url10"]
        set10 = {"url": url10, "download":"download10"}
        sendMessage(10, url10)
        response["urls"] = [set1, set2, set3, set4, set5, set6, set7, set8, set9, set10]
    return render(request, "progress.html", response)

def sendMessage(seq, message):
    routing_key = "routingabcd12345"
    seq_message = str(seq) + " " + message
    credentials = pika.PlainCredentials("0806444524", "0806444524")
    connectionParameters = pika.ConnectionParameters("152.118.148.95", 5672, "/0806444524", credentials)
    connection = pika.BlockingConnection(connectionParameters)
    channel = connection.channel()
    channel.exchange_declare(exchange="1606831035_DIRECT", exchange_type="direct")
    channel.basic_publish(exchange="1606831035_DIRECT", routing_key=routing_key, body=seq_message)
    print(" [x] Sent %r:%r" % (seq, message))
    connection.close()

server_1/templates/home.html
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="theme-color" content="#342345">
  <title> {% block title %} TUGAS AKHIR of LAW_KEMAS {% endblock %}</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link href='https://fonts.googleapis.com/css?family=Raleway:900|Raleway' rel='stylesheet'>
  <meta name="viewport" content="initial-scale=1.0, width=device-width" />
</head>

<body>
  <header>
  </header>
  <content>
    <section name="container" class="content">
    <h1>TUGAS AKHIR LAW</h1>
    <br>
    <h2>Input 10 URLS</h2>
    <form id="form" name="form" method="POST" action="{% url 'frontpage:progress' %}" enctype="multipart/form-data">
      {% csrf_token %}
      <input type="text" name="url1" placeholder="Url 1...">
      <input type="text" name="url2" placeholder="Url 2...">
      <input type="text" name="url3" placeholder="Url 3...">
      <input type="text" name="url4" placeholder="Url 4...">
      <input type="text" name="url5" placeholder="Url 5...">
      <input type="text" name="url6" placeholder="Url 6...">
      <input type="text" name="url7" placeholder="Url 7...">
      <input type="text" name="url8" placeholder="Url 8...">
      <input type="text" name="url9" placeholder="Url 9...">
      <input type="text" name="url10" placeholder="Url 10...">
      <button type="submit">Submit</button>
    </form>
  </content>
  <footer>
  </footer>

</body>

server_1/templates/progress.html
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="theme-color" content="#342345">
  <title> {% block title %} TUGAS AKHIR of LAW_KEMAS {% endblock %}</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link href='https://fonts.googleapis.com/css?family=Raleway:900|Raleway' rel='stylesheet'>
  <meta name="viewport" content="initial-scale=1.0, width=device-width" />
</head>

<body>
  <header>
  </header>
  <content>
    <section name="container" class="content">
      <h3>Server Time: <i id="time">Loading...</i></h3>
      <div class="progress-section">
        <div class="center margin-top-20 margin-bottom-10">
          <h1>Progress Page</h1>
        </div>
        <table class="table">
          <thead>
            <tr>
              <th scope="col">#</th>
              <th scope="col">url</th>
              <th scope="col">download</th>
            </tr>
          </thead>
          <tbody>
            {% for url in urls %}
            <tr>
              <th scope="row"><a href="/detail/{{ utang.id }}">{{ forloop.counter }}</a></th>
              <td>{{ url.url }}</td>
              <td id="{{ url.download }}">0 %</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
      <br>
      <br>
      <h2>Compression Status</h2>
      <p id="compression">Compression hasn't started yet...</p>
      <br>
      <br>
      <p>URL to download the compressed result: </p>
      <p id="link">url not ready yet...</p>
    </section>
  </content>
  <footer>
  </footer>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.1.4/sockjs.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"></script>
  <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
  <script type = "text/javascript">
    WebSocketImplementation();
    function WebSocketImplementation() {
      if ("WebSocket" in window) {
        var ws_stomp_display = new SockJS('http://152.118.148.95:15674/stomp');
        var client_display = Stomp.over(ws_stomp_display);
        var topic_time = "/exchange/1606831035_TOPIC/time";
        var topic_compression = "/exchange/1606831035_TOPIC/compression";
        var topic_link = "/exchange/1606831035_TOPIC/link";
        var topic_download = "/exchange/1606831035_TOPIC/download";
        var on_connect_display = function() {
          console.log('connected');
          client_display.subscribe(topic_time, time_display);
          client_display.subscribe(topic_compression, compression_display);
          client_display.subscribe(topic_link, link_display);
          client_display.subscribe(topic_download, download_display);
        };
        var on_error_display = function() {
          console.log('error');
        };
        var time_display = function(m) {
          $('#time').html(m.body);
        }
        var compression_display = function(m) {
          $('#compression').html(m.body + " %");
        }
        var link_display = function(m) {
          $('#link').html("<a href='" + m.body + "'>" + m.body + "</a>");
        }
        var download_display = function(m) {
          var msg = m.body.split(" ");
          if (msg[0] == "1") {
            $('#download1').html(msg[1] + " %");
          } else if (msg[0] == "2") {
            $('#download2').html(msg[1] + " %");
          } else if (msg[0] == "3") {
            $('#download3').html(msg[1] + " %");
          } else if (msg[0] == "4") {
            $('#download4').html(msg[1] + " %");
          } else if (msg[0] == "5") {
            $('#download5').html(msg[1] + " %");
          } else if (msg[0] == "6") {
            $('#download6').html(msg[1] + " %");
          } else if (msg[0] == "7") {
            $('#download7').html(msg[1] + " %");
          } else if (msg[0] == "8") {
            $('#download8').html(msg[1] + " %");
          } else if (msg[0] == "9") {
            $('#download9').html(msg[1] + " %");
          } else if (msg[0] == "10") {
            $('#download10').html(msg[1] + " %");
          }
        };
        client_display.connect('0806444524', '0806444524', on_connect_display, on_error_display, '/0806444524');
      } else {
        alert("WebSocket NOT supported by your Browser!");
      }
    }
  </script>

</body>